/* Data structure definition for the control display functions

copyright (c) 1897, D.M. Auslander

Created 26-June-87

Updates:

FIle: display.h

This file contains the definition of the data structure defining 
a process control type of screen display.

When defining display units in a user program, all that is needed is 
to define the storage space for each and call the set-up program.
The storage is allocated with one of the following declarations:

DISPLAY temp_dsp;

or to define a group of displays with,

DISPLAY dsp[10];

or to use the memory allocator,

#define NDSP 10
DISPLAY *pr_dsp;
char *malloc();
...
pr_dsp = (DISPLAY *)malloc(NDSP * sizeof(DISPLAY));

Then, the function dsp_set() is called to put data into the structure.
*/

struct display
	{
	float (*fv1)(),(*fv2)();	/* Functions called to get
				data */
	float x,y;		/* Position of the bottom of 
				the vertical bar */
	float vbot,vtop;	/* Variable values at the top and bottom of the
				line */
	float val1,val2;	/* Stored data values */
	float lngth;		/* Line length (in cm) */
	int lcolor;		/* Data display color */
	char *label;		/* Label for this display */
	char *fmt;		/* String with format to convert data */
	char *dblnk;		/* String of blanks to erase old data */
	float l1old,l2old;	/* Saved values of the graphic locations */
	int v1line,v1data,v2bar,v2data;
				/* Flags indicating whether associated
				information should be displayed */
	};

typedef struct display DISPLAY;
